%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		globus-gram-job-manager-slurm
%global _name %(tr - _ <<< %{name})
Version:	2.7
Release:	1%{?dist}
Summary:	Globus Toolkit - SLURM Job Manager Support

Group:		Applications/Internet
#		The slurm.pm file is BSD, the rest is ASL 2.0
License:	ASL 2.0 and BSD
URL:		http://www.globus.org/
Source:		http://www.globus.org/ftppub/gt6/packages/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-GRAM5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	globus-gram-job-manager >= 13
Requires:	globus-gram-job-manager-scripts >= 4
Requires:	globus-gass-cache-program >= 5
Requires:	globus-gatekeeper >= 9
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Requires(preun):	globus-gram-job-manager-scripts >= 4

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
SLURM Job Manager Support

%prep
%setup -q -n %{_name}-%{version}

%build
export SRUN=%{_bindir}/srun
export SBATCH=%{_bindir}/sbatch
export SALLOC=%{_bindir}/salloc
export SCANCEL=%{_bindir}/scancel
export SCONTROL=%{_bindir}/scontrol
%configure --disable-static \
	   --includedir='${prefix}/include/globus' \
	   --libexecdir='${datadir}/globus' \
	   --docdir=%{_pkgdocdir} \
	   --with-perlmoduledir=%{perl_vendorlib}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove jobmanager-slurm from install dir - leave it for admin configuration
rm %{buildroot}/etc/grid-services/jobmanager-slurm

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_pkgdocdir}/README

# Remove license files from pkgdocdir if licensedir is used
%{?_licensedir: rm %{buildroot}%{_pkgdocdir}/GLOBUS_LICENSE}
%{?_licensedir: rm %{buildroot}%{_pkgdocdir}/LICENSE*}

%clean
rm -rf %{buildroot}

%preun
if [ $1 -eq 0 ]; then
    globus-gatekeeper-admin -d jobmanager-slurm-poll > /dev/null 2>&1 || :
fi

%files
%{_datadir}/globus/globus_gram_job_manager/slurm.rvf
%dir %{perl_vendorlib}/Globus
%dir %{perl_vendorlib}/Globus/GRAM
%dir %{perl_vendorlib}/Globus/GRAM/JobManager
%{perl_vendorlib}/Globus/GRAM/JobManager/slurm.pm
%config(noreplace) %{_sysconfdir}/globus/globus-slurm.conf
%config(noreplace) %{_sysconfdir}/grid-services/available/jobmanager-slurm-poll
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/README
%{!?_licensedir: %doc %{_pkgdocdir}/GLOBUS_LICENSE}
%{!?_licensedir: %doc %{_pkgdocdir}/LICENSE*}
%{?_licensedir: %license GLOBUS_LICENSE LICENSE*}

%changelog
* Sun Jul 12 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.7-1
- GT6 update (Add job dependency RSL to SLURM LRM)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.6-2
- Perl 5.22 rebuild

* Fri May 08 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.6-1
- GT6 update (Remove GRAM slurm option: SBATCH -l h_cpu)

* Fri Jan 23 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.5-2
- Implement updated license packaging guidelines

* Thu Nov 13 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.5-1
- GT6 update

* Mon Oct 27 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.4-2
- Fix typo in preun scriptlet

* Fri Sep 12 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.4-1
- Update to Globus Toolkit 6.0
- Drop GPT build system and GPT packaging metadata

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.2-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 09 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-3
- Remove unused configure option

* Fri Dec 13 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-2
- Use macros consistently

* Thu Nov 07 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-1
- Now in Globus Toolkit (5.2.5)

* Tue Apr 03 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.1-2
- Bugfix update

* Thu Mar 01 2012 Emmanouil Paisios <emmanouil.paisios@lrz.de> - 0.1-1
- Created using condor package as a base
